/* eAccounts installation script v.03*/

Say "eAccounts installion";say
Say "Select language for documentation."
Say "[e]nglish or [g]erman: (only 'e' or 'g' and hit enter): "
pull language
if translate(language) >< "E" & translate(language) >< "G" then say "Invalid input! Using english language."

if rxfuncquery('SysLoadFuncs') then do
 call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
 call SysLoadFuncs
end

/* Get curent directory */
InstDir = directory()

ADDRESS CMD LNGSETUP.EXE


say;say "Creating WPS objects..."

Call SysCreateObject 'WPFolder', 'eAccounts', '<WP_DESKTOP>', 'OBJECTID=<eACCFOLDER>', 'Update'
Call SysCreateObject 'WPProgram', 'eAccounts', '<eACCFOLDER>', 'OBJECTID=<eaccexe>;EXENAME='||InstDir||'\eAcc.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM', 'Update'
Call SysCreateObject 'WPUrl', 'SubSys homepage', '<eACCFOLDER>', 'OBJECTID=<eACCwww>;URL=http://www.subsys.de', 'Update'

if translate(language) = "G" then Call SysCreateObject 'WPProgram', 'Liesmich', '<eACCFOLDER>', 'OBJECTID=<eaccreadme>;EXENAME=e.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM;PARAMETERS=liesmich.txt', 'Update'
else Call SysCreateObject 'WPProgram', 'ReadMe', '<eACCFOLDER>', 'OBJECTID=<eaccreadme>;EXENAME=e.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM;PARAMETERS=readme.txt', 'Update'
say "done."